VelocityReport Plugin - Defect #1

Cannot print directly from the preview panel
06/23/2010 02:49 AM - Patrick Talbot

Status: Closed Start date: 06/23/2010
Priority: None Due date:

Assignee: Patrick Talbot % Done: 100%
Category: for reference Estimated time: 0.00 hour
Target version: v2.0

Browser (if web

client):

Description

This is a defect of xhtmlrenderer lib, not fixed in current CVS, opened here for reference.

History

#1 - 06/24/2010 11:53 PM - Patrick Talbot

- Category set to for reference

#2 - 06/25/2010 08:15 AM - Patrick Talbot

- Priority changed from Normal to None

#3 - 09/16/2010 03:12 AM - Patrick Talbot

- Status changed from New to In Progress

#4 - 09/16/2010 03:16 AM - Patrick Talbot
- Status changed from In Progress to New
- Assignee set to Patrick Talbot

- Target version set to v2.0

- % Done changed from 0 to 80

Have integrated PDFRenderer to workaround the xhtmIRenderer defect.
This works well, although it eats a lot of memory (just like Jasper does with iText), so I'm still looking for ways to optimize it.

#5 - 09/22/2010 03:49 AM - Patrick Talbot
- Status changed from New to Closed

- % Done changed from 80 to 100

v1.3.2 will add printing support (from the preview window or panel and directly from scripting in the plugin or the Viewer object)
Beware that the amount of memory used by both iText and PDFRenderer is huge, so try it with your reports and set the maximum heap of your client
to a sufficient amount otherwise OutOfMemory Exceptions will happen!
